> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Stablecoin Payroll Onboarding Status

> Sets finishedStablecoinPayrollOnboarding on the org and fires PostHog completion events on false-to-true transition.

Not available to API keys yet. It will need `organization:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/update-stablecoin-payroll-onboarding-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/update-stablecoin-payroll-onboarding-status:
    post:
      operationId: updateStablecoinPayrollOnboardingStatus
      summary: Update Stablecoin Payroll Onboarding Status
      description: >-
        Sets finishedStablecoinPayrollOnboarding on the org and fires PostHog
        completion events on false-to-true transition.


        Not available to API keys yet. It will need `organization:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateStablecoinPayrollOnboardingStatusRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateStablecoinPayrollOnboardingStatusResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateStablecoinPayrollOnboardingStatusRequest:
      type: object
      properties:
        finishedStablecoinPayrollOnboarding:
          type: boolean
      required:
        - finishedStablecoinPayrollOnboarding
    UpdateStablecoinPayrollOnboardingStatusResponse:
      type: object
      properties:
        success:
          type: boolean
        finishedStablecoinPayrollOnboarding:
          type: boolean
      required:
        - success
        - finishedStablecoinPayrollOnboarding
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
